

<h1><%= @article.title %></h1>
<p>
  <strong>User name:</strong>
<%= @article.author.username %>
</p>
<p><%= @article.body %></p>

<p>
      <i><%= @article.created_at %></i>
</p>

<% pre_like = @article.likes.find { |like| like.user_id == current_user.id} %>
<% if pre_like %>
  <%= button_to 'Unlike', article_like_path(@article, pre_like), method: :delete %>
<% else %>
  <%= button_to 'Like', article_likes_path(@article), method: :post %>
<% end %>

 
<p><%= @article.likes.count %> <%= (@article.likes.count) == 1 ? 'Like' : 'Likes'%></p>

<div style="width:400px; height:auto"> 
<%= image_tag(@article.image) %>
</div>
<ul>
  <% if policy(@article).update? %>
  <li><%= link_to "Edit", edit_article_path(@article) %></li> |
  <% end %>
  <% if policy(@article).destroy? %>
  <li><%= link_to "Destroy", article_path(@article),
                  method: :delete,
                  data: { confirm: "Are you sure?" } %></li>
  <% end %>
</ul>


<h2>Comments</h2>
<%= render @article.comments %>

<h2>Add a comment:</h2>
<%= render 'comments/form' %>

<li><%= link_to 'Back', articles_path %></li>


